helpers for GSM

## Files

file | bitvec_gsm.h

## Functions

void | bitvec_add_range1024 (struct bitvec *bv, const struct gsm48_range_1024 *r)
| append range1024 encoded data to bit vector More...

## Detailed Description

## Function Documentation

## bitvec_add_range1024()

void bitvec_add_range1024 | ( | struct bitvec * | bv,
|  | const struct gsm48_range_1024 * | r
| ) |  |

append range1024 encoded data to bit vector

Parameters

  [out] | bv | Caller-provided output bit-vector
  [in] | r | Input Range1024 sructure

References gsm48_range_1024::w10, gsm48_range_1024::w11_hi, gsm48_range_1024::w11_lo, gsm48_range_1024::w12_hi, gsm48_range_1024::w12_lo, gsm48_range_1024::w13_hi, gsm48_range_1024::w13_lo, gsm48_range_1024::w14_hi, gsm48_range_1024::w14_lo, gsm48_range_1024::w15_hi, gsm48_range_1024::w15_lo, gsm48_range_1024::w16, gsm48_range_1024::w1_hi, gsm48_range_1024::w1_lo, gsm48_range_1024::w2_hi, gsm48_range_1024::w2_lo, gsm48_range_1024::w3_hi, gsm48_range_1024::w3_lo, gsm48_range_1024::w4_hi, gsm48_range_1024::w4_lo, gsm48_range_1024::w5_hi, gsm48_range_1024::w5_lo, gsm48_range_1024::w6_hi, gsm48_range_1024::w6_lo, gsm48_range_1024::w7_hi, gsm48_range_1024::w7_lo, gsm48_range_1024::w8_hi, gsm48_range_1024::w8_lo, and gsm48_range_1024::w9.